package com.oguerreiro.resilient.expression.error;

public class EmissionFactorNotFoundExpressionFunctionException extends ResilientExpressionFunctionException {
  private static final String CODE = "E007";

  public EmissionFactorNotFoundExpressionFunctionException(String code, Integer year) {
    super("Emission Factor not found for: Code=" + code + "; Year=" + year.toString());

    addMessageArg(code);
    addMessageArg(year);
  }

  @Override
  public String getMessageCode() {
    return CODE;
  }

}
